{% extends "admin/media/change_form.html" %}
{% load thumbnail %}

{% block field_sets %}
{% if change %}
<div class="related-object-info">
    <p>
        <a href="{{original.filename.url}}" target="_blank">
            <i class="icon mime-icon material-icons" data-mimetype="{{original.mimetype}}"></i>
        </a>
    </p>
    <dl>
        <dt>File type:</dt>
        <dd>{{original.mimetype}}</dd>
        <dt>Created:</dt>
        <dd>{{original.created}}</dd>
        <dt>Modified:</dt>
        <dd>{{original.modified}}</dd>
        <dt>File size:</dt>
        <dd>{{original.filesize|filesizeformat}}</dd>

        {% if related_objects  %}
        <dt>&nbsp;</dt>
        <dt>Related Items:</dt>
        <dt>
            <ul class="media-related-item-list">
                {% for r in related_objects %}
                <li>
                    {{r.opts.verbose_name}}:
                    <a {% if r.admin_url %}href="{{r.admin_url}}"{% endif %}>{{r.object}}</a>
                </li>
                {% endfor %}
            </ul>
        </dt>
        {% endif %}
    </dl>
</div>
{% endif %}

{{block.super}}

{% endblock field_sets %}
